Subject: RE: [nemo] movement in Nemo

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 19 Nov 2002 22:49:58 -0000

> The network can be dynamic, in a MANET sense, or just a static net. We

> are talking about how to enable the Mobile Routers that connect it to 
> the 'net.

This is a very restrictive definition of Nemo :( and by the way, AODV
and DSR already have a MIP gateway.

Now, iIf you look at a nested configuration, a Mobile Router selects an
other one and attaches to it, actually creating the nested topology. I
believe that this process is part of Nemo, even if is dynamic (I walk in
a bus, my PAN MR discovers the Bus MR and attaches to it). This process
was not much discussed yet, though it was the sense behind Steve
Deering's question at the last BOF ("How do you avoid loops?"). 

I believe that the process of selecting the AR is one of the most
interesting problems Nemo has to offer. 

Pascal

> -----Original Message-----
> From: T.J. Kniveton [mailto:[email-masked]] 
> Sent: mardi 19 novembre 2002 22:44
> To: Pascal Thubert (pthubert)
> Cc: [email-masked]
> Subject: Re: [nemo] movement in Nemo
> 
> 
> Pascal Thubert (pthubert) wrote:
> > draft-ernst-nemo-requirements-00.txt states:
> >      " In the NEMO WG, some routers may effectively move 
> arbitrary, but
> >       this is not a common case. NEMO aims at providing Internet"
> 
> These phrases do not make sense to me. Is sentence #1 supposed to say 
> "some routers may effectively move arbitrarily"? What exactly 
> does that 
> mean?
> 
> And sentence fragment #2: NEMO aims at providing Internet... 
> Does that 
> mean continuous, mobile Internet conncetivity?
> 
> > 
> > We should not presume whether it's common or not, should 
> we? Either we 
> > support a form of movement that we qualify, or we do not.
> 
> I'm not sure what is supposed to be common or not?
> 
> > 
> > Nemo aims at providing Internet access to the MNets while 
> Manet aims 
> > at providing any to any communication in the mobile cloud. 
> Regardless 
> > of whether the relative or the global movement of the 
> mobile routers 
> > is 'rapid' or not.
> 
> NEMO does not deal with dynamic network formation and 
> healing. It deals 
> with changing where a network is connected to the Internet.
> 
> The network can be dynamic, in a MANET sense, or just a 
> static net. We 
> are talking about how to enable the Mobile Routers that connect it to 
> the 'net.
> 
> > 
> > I understand that we may have to qualify the word rapid, 
> for instance 
> > in terms of reachability duration at L2, and maybe evaluate the 
> > solutions for their resilience to rapid movement.
> 
> Ideally, we would like to support rapid movement, which is 
> also the aim 
> of Mobile IP. However, with complicated sequences of signaling to 
> authorize/authenticate/etc., and with routing changes as in RO, there 
> may be a journey to get there.
> 
> -TJ
> 
>

---

From: "T.J. Kniveton" <[email-masked]>
Date: Tue, 19 Nov 2002 15:07:25 -0800

Pascal Thubert (pthubert) wrote:
> This is a very restrictive definition of Nemo :( 

Can you elaborate? There are many, many issues to understand and 
problems to solve, even with this core definition being defined as 
simply as I stated it. Maybe there is a better way to put it, but more 
complicated definitions have tended to confuse people about what exactly 
a NEMO is.

> and by the way, AODV

I know; it has been implemented in our lab. :-)

> Deering's question at the last BOF ("How do you avoid loops?"). 

The "dynamic" act of a MR connecting to a different point in the 
topology (even a nested MR), is VERY different than the "dynamic" 
network that changes its form as nodes move around. There are big 
differences in predictability and routing overheads, amongst other things.

> interesting problems Nemo has to offer. 

TJ